<template>
  <div class="px-5 py-10 bg-green-black text-center content">
    <div class="sm:flex sm:text-left sm:items-center sm:mb-12">
      <div class="mb-8 font-bold font-quincy text-white text-4xl sm:text-5xl sm:w-96 sm:mr-32 sm:mb-0">
        Trusted by over <span class="text-green">279,000</span> patients
      </div>
      <div>
        <div class="mb-3 font-semibold text-white text-lg">4.4 out of 5</div>
        <div class="flex justify-center mb-3">
          <img src="@/assets/img/misc/stars.png" alt="" width="170px">
        </div>
        <div class="text-misc-1 mb-2">Based on 23K reviews</div>
      </div>
    </div>
    <div class="-mx-5 relative">
      <VueSlickCarousel v-bind="settings">
        <template #prevArrow>
          <div
            style="min-width: 40px; min-height: 40px"
            class="grid place-items-center absolute cursor-pointer top-1/2 -left-20 rounded-full bg-white transform -translate-y-12"
          >
            <img width="20px" src="@/assets/img/icons/arrow.png" alt="">
          </div>
        </template>
        <template #nextArrow>
          <div
            style="min-width: 40px; min-height: 40px"
            class="grid place-items-center absolute cursor-pointer top-1/2 -right-20 rotate-180 rounded-full bg-white transform -translate-y-12"
          >
            <img width="20px" src="@/assets/img/icons/arrow.png" alt="">
          </div>
        </template>
        <div
          class="px-5 sm:h-full slide"
          v-for="slide in slides"
          :key="slide.name"
        >
          <div class="rounded-t-lg overflow-hidden grid slide-img grid-cols-2">
            <div class="relative bg-grey-mlight">
              <div class="absolute bottom-2 left-2 px-2 py-1 bg-white rounded-xl text-xxs uppercase">
                Before
              </div>
            </div>
            <div class="relative bg-grey-mlight">
              <div class="absolute bottom-2 left-2 px-2 py-1 bg-white rounded-xl text-xxs uppercase">
                During
              </div>
            </div>
          </div>
          <div class="rounded-b-lg p-5 text-center bg-white" style="height: auto">
            <div class="text-semibold text-lg mb-3">{{ slide.comment }}</div>
            <div class="text-sm">-{{ slide.name }}</div>
          </div>
        </div>
      </VueSlickCarousel>
      <div class="text-xs text-misc-1 sm:text-base">Verified Shapiro MD customers</div>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'

export default {
  name: "MainTrusted",
  components: {VueSlickCarousel},
  data() {
    return {
      settings: {
        "dots": true,
        "arrows": true,
        "focusOnSelect": true,
        "infinite": false,
        "speed": 500,
        "slidesToShow": 3,
        "slidesToScroll": 3,
        "responsive": [
          {
            "breakpoint": 640,
            "settings": {
              "slidesToShow": 1,
              "slidesToScroll": 1,
              "infinite": false,
              "arrows": false
            }
          },
        ]
      },
      slides: [
        {
          beforeImg: '',
          duringImg: '',
          name: 'Patricia',
          comment: '“My hair is definitely thicker and there is new hair growth.”'
        },
        {
          beforeImg: '',
          duringImg: '',
          name: 'Dana',
          comment: '“My hair is healthy from root to tip.”'
        },
        {
          beforeImg: '',
          duringImg: '',
          name: 'Felicia',
          comment: '“Shaprio MD helped me get a full fill-in for my wedding day.”'
        },
        {
          beforeImg: '',
          duringImg: '',
          name: 'Test',
          comment: '“My hair is healthy from root to tip.”'
        },
        {
          beforeImg: '',
          duringImg: '',
          name: 'Test2',
          comment: '“My hair is definitely thicker and there is new hair growth.”'
        },
      ]
    }
  }
}
</script>

<style scoped>
.slide-img {
  height: 212px;
}

::v-deep .slick-dots {
  @apply flex justify-center items-center mt-8 mb-4 !important;
}

::v-deep .slick-dots li {
  list-style: none;
}

::v-deep .slick-dots button {
  @apply rounded-full;
  margin: 0 6px;
  background-color: #34666A;
  font-size: 0;
  width: 6px;
  height: 6px;
}

::v-deep .slick-track
{
  display: flex !important;
}

::v-deep .slick-slide
{
  height: inherit !important;
}

::v-deep .slick-slide > div {
  @apply h-full !important;
}

::v-deep .slick-dots .slick-active button {
  @apply bg-green;
}

.slide {
  @apply grid !important;
  grid-template-rows: 212px 1fr;
}

@media (min-width: 640px) {
  .content {
    padding-left: 200px;
    padding-right: 200px;
  }

  ::v-deep .slick-dots {
    @apply mb-8 !important;
  }
}
</style>
